# Class FastHttpDateFormat

java.lang.Object
org.apache.tomcat.util.http.FastHttpDateFormat

public final class FastHttpDateFormat extends Object
Utility class to generate HTTP dates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `formatDate(long value)`
  Get the HTTP format of the specified date.
  `static String`
  `getCurrentDate()`
  Get the current date in HTTP format.
  `static long`
  `parseDate(String value)`
  Try to parse the given date as an HTTP date.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getCurrentDate

    public static String getCurrentDate()
    Get the current date in HTTP format.
    Returns:
      the HTTP date

  - ### formatDate

    public static String formatDate(long value)
    Get the HTTP format of the specified date.
    Parameters:
      `value` - The date
    Returns:
      the HTTP date

  - ### parseDate

    public static long parseDate(String value)
    Try to parse the given date as an HTTP date.
    Parameters:
      `value` - The HTTP date
    Returns:
      the date as a long or `-1` if the value cannot be parsed